package com.tzld.piaoquan.ad.engine.commons.enums;

public enum ExpCodeEnum {

    EXP_599("599","shareType"),
    EXP_602("602","30rp");
    public String getCode() {
        return code;
    }

    public String getRandomModelKey() {
        return randomModelKey;
    }

    private String code;
    private String randomModelKey;

    private ExpCodeEnum(String code, String randomModelKey) {
        this.code = code;
        this.randomModelKey = randomModelKey;
    }

    public static ExpCodeEnum valueOfExpCode(String code) {
        if (code == null) {
            return null;
        }
        for (ExpCodeEnum expCodeEnum : ExpCodeEnum.values()) {
            if (expCodeEnum.getCode().equals(code)) {
                return expCodeEnum;
            }
        }
        return null;
    }
}
